# see data_examples at end of file

__samples_example__ = {u'samples': [
    {u'property_set_id': u'702de353-739a-445f-b687-8479bb73a492', u'name': u'Test Sample 1',
     u'id': u'4d3d997e-22c5-4036-9365-64cf910f715e'}]}

# noinspection SpellCheckingInspection
__timestamp__ = {
    u'timezone': u'+00:00',
    u'$reql_type$': u'TIME',
    u'epoch_time': 1478031698.441
}

# noinspection SpellCheckingInspection
__settings_example__ = {
    u'otype': u'settings',
    u'name': u'Instrument', u'attribute': u'instrument',
    u'properties': [
        {u'otype': u'string', u'description': u'', u'attribute': u'manufacturer',
         u'value': u'', u'setup_id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d',
         u'id': u'e9c0a2c3-ee42-457f-b64e-e9b85b634467', u'unit': u'',
         u'name': u'Manufacturer'},
        {u'otype': u'string', u'description': u'', u'attribute': u'supplier',
            u'value': u'', u'setup_id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d',
            u'id': u'59d51a7e-5936-49bb-86dc-ee06b2380772', u'unit': u'',
            u'name': u'Supplier'},
        {u'otype': u'selection', u'description': u'', u'attribute': u'production_method',
            u'value': u'', u'setup_id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d',
            u'id': u'9980e935-fb01-497b-abe8-9fb85f131715', u'unit': u'',
            u'name': u'Production method'},
        {u'otype': u'date', u'description': u'', u'attribute': u'manufacturing_date',
            u'value': u'', u'setup_id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d',
            u'id': u'61f6be41-67c1-46dc-8244-6a106570518a', u'unit': u'',
            u'name': u'Manufacturing Date'}],
    u'setup_id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d',
    u'process_id': u'd8cf9165-1803-4250-aedc-23e78717494d',
    u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME',
                   u'epoch_time': 1478031698.441},
    u'id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d'
}

__example_experiment__ = \
    {u'status': u'active',
     u'otype': u'experiment',
     u'tasks': [
         {u'due_date': 0, u'otype': u'experiment_task', u'tasks': [], u'name': u'', u'index': 0,
          u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478019910.16},
          u'template_id': u'', u'note': u'Notes here...', u'parent_id': u'', u'process_id': u'',
          u'flags': {u'starred': False, u'onhold': False, u'done': False, u'flagged': False},
          u'experiment_id': u'79b53479-3ab2-4d53-80fe-f029d63aaf02',
          u'experiment_task_id': u'33f12642-003f-4523-a4b9-fd7f5cf786d3',
          u'owner': u'terry.weymouth@gmail.com',
          u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME',
                         u'epoch_time': 1478019910.16},
          u'estimate': {u'value': 0, u'unit': u''}, u'id': u'33f12642-003f-4523-a4b9-fd7f5cf786d3'}],
     u'funding': [], u'description': u'Test experiment from data',
     u'publications': [],
     u'notes': [], u'papers': [], u'collaborators': [], u'note': u'<h2>Experiment Notes</h2>',
     u'citations': [],
     u'goals': [],
     u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478019910.086},
     u'owner': u'terry.weymouth@gmail.com',
     u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478019910.086},
     u'id': u'79b53479-3ab2-4d53-80fe-f029d63aaf02', u'name': u'TestExperiment-from-data'}

# noinspection SpellCheckingInspection,SpellCheckingInspection
__process_example_create__ = \
    {u'files': [], u'otype': u'process', u'name': u'Create Samples', u'output_samples': [],
     u'setup': [{u'otype': u'settings', u'name': u'Instrument', u'attribute': u'instrument',
                 u'properties': [
                     {u'otype': u'string', u'description': u'', u'attribute': u'manufacturer',
                      u'value': u'', u'setup_id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d',
                      u'id': u'e9c0a2c3-ee42-457f-b64e-e9b85b634467', u'unit': u'',
                      u'name': u'Manufacturer'},
                     {u'otype': u'string', u'description': u'', u'attribute': u'supplier',
                      u'value': u'', u'setup_id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d',
                      u'id': u'59d51a7e-5936-49bb-86dc-ee06b2380772', u'unit': u'',
                      u'name': u'Supplier'},
                     {u'otype': u'selection', u'description': u'', u'attribute': u'production_method',
                      u'value': u'', u'setup_id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d',
                      u'id': u'9980e935-fb01-497b-abe8-9fb85f131715', u'unit': u'',
                      u'name': u'Production method'},
                     {u'otype': u'date', u'description': u'', u'attribute': u'manufacturing_date',
                      u'value': u'', u'setup_id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d',
                      u'id': u'61f6be41-67c1-46dc-8244-6a106570518a', u'unit': u'',
                      u'name': u'Manufacturing Date'}],
                 u'setup_id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d',
                 u'process_id': u'd8cf9165-1803-4250-aedc-23e78717494d',
                 u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME',
                                u'epoch_time': 1478031698.441},
                 u'id': u'366f693b-068e-4294-b0d2-31dbf2b7e05d'}], u'does_transform': True,
     u'process_type': u'create', u'template_id': u'global_Create Samples', u'note': u'',
     u'input_samples': [], u'template_name': u'Create Samples',
     u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478031698.405},
     u'owner': u'terry.weymouth@gmail.com',
     u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478031698.405},
     u'output_files': [], u'id': u'd8cf9165-1803-4250-aedc-23e78717494d', u'input_files': []}

# noinspection SpellCheckingInspection
__process_example_compute__ = \
    {u'files': [],
     u'otype': u'process',
     u'name': u'Computation',
     u'output_samples': [],
     u'setup': [
         {u'otype': u'settings',
          u'name': u'Job Settings',
          u'attribute': u'job_settings',
          u'properties': [
              {u'otype': u'number', u'description': u'', u'attribute': u'walltime', u'value': u'',
               u'setup_id': u'8c21a86c-ac2c-44f3-9ea5-fc05a14bcb44', u'id': u'77517151-f0a6-4f83-9e3a-de65f12a96e1',
               u'unit': u's', u'name': u'Walltime'},
              {u'otype': u'number', u'description': u'', u'attribute': u'memory_per_processor', u'value': u'',
               u'setup_id': u'8c21a86c-ac2c-44f3-9ea5-fc05a14bcb44', u'id': u'6b52fdda-ad5f-437a-8775-160d7518c488',
               u'unit': u'', u'name': u'Memory per Processor'},
              {u'otype': u'number', u'description': u'', u'attribute': u'number_of_processors', u'value': u'',
               u'setup_id': u'8c21a86c-ac2c-44f3-9ea5-fc05a14bcb44', u'id': u'75774a94-2239-4987-8fc1-fba68f6093b3',
               u'unit': u'', u'name': u'Number of Processors'},
              {u'otype': u'string', u'description': u'', u'attribute': u'submit_script', u'value': u'',
               u'setup_id': u'8c21a86c-ac2c-44f3-9ea5-fc05a14bcb44', u'id': u'2f3359f5-c054-4512-8955-f6d96fb476a8',
               u'unit': u'', u'name': u'Submit Script'}],
          u'setup_id': u'8c21a86c-ac2c-44f3-9ea5-fc05a14bcb44',
          u'process_id': u'e5a8f0bf-d07e-4296-886e-4b315b679dd4',
          u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478108883.179},
          u'id': u'8c21a86c-ac2c-44f3-9ea5-fc05a14bcb44'}
    ],
        u'does_transform': False,
        u'process_type': u'analysis',
        u'template_id': u'global_Computation',
        u'note': u'',
        u'input_samples': [
         {u'files': [],
          u'property_set_id': u'bd68bdf1-c62c-42e5-b740-8e395b002f22',
          u'otype': u'sample',
          u'description': u'',
          u'name': u'Test Sample 1',
          u'processes': [
              {u'otype': u'process', u'name': u'Computation', u'template_name': u'Computation',
               u'sample_id': u'd5ac20de-f032-481e-b179-f918d5811954', u'does_transform': False,
               u'process_type': u'analysis',
               u'template_id': u'global_Computation', u'note': u'',
               u'process_id': u'e5a8f0bf-d07e-4296-886e-4b315b679dd4',
               u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478108883.134},
               u'owner': u'terry.weymouth@gmail.com',
               u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478108883.134},
               u'id': u'e5a8f0bf-d07e-4296-886e-4b315b679dd4'},
              {u'otype': u'process', u'name': u'Create Samples', u'template_name': u'Create Samples',
               u'sample_id': u'd5ac20de-f032-481e-b179-f918d5811954', u'does_transform': True,
               u'process_type': u'create',
               u'template_id': u'global_Create Samples', u'note': u'',
               u'process_id': u'48984478-3046-4f44-9480-7c9b39ec0def',
               u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478108882.807},
               u'owner': u'terry.weymouth@gmail.com',
               u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478108882.807},
               u'id': u'48984478-3046-4f44-9480-7c9b39ec0def'}
         ],
             u'sample_id': u'd5ac20de-f032-481e-b179-f918d5811954',
             u'direction': u'in',
             u'id': u'd5ac20de-f032-481e-b179-f918d5811954',
             u'process_id': u'e5a8f0bf-d07e-4296-886e-4b315b679dd4',
             u'properties': [],
             u'is_grouped': False,
             u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478108883.041},
             u'owner': u'terry.weymouth@gmail.com',
             u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478108883.041},
             u'has_group': False,
             u'group_size': 0}
    ],
        u'template_name': u'Computation',
        u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478108883.134},
        u'owner': u'terry.weymouth@gmail.com',
        u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478108883.134},
        u'output_files': [],
        u'id': u'e5a8f0bf-d07e-4296-886e-4b315b679dd4',
        u'input_files': []
    }

# noinspection SpellCheckingInspection
__added_sample_results__ = \
    {u'files': [], u'otype': u'process', u'name': u'Computation', u'output_samples': [], u'setup': [
        {u'otype': u'settings', u'name': u'Job Settings', u'attribute': u'job_settings', u'properties': [
            {u'otype': u'number', u'description': u'', u'attribute': u'memory_per_processor', u'value': u'',
             u'setup_id': u'9a8bfeac-124e-462e-ba89-c83e37380024', u'id': u'4f346cb1-9de8-48df-92a7-c1e1575334da',
             u'unit': u'', u'name': u'Memory per Processor'},
            {u'otype': u'number', u'description': u'', u'attribute': u'number_of_processors', u'value': u'',
             u'setup_id': u'9a8bfeac-124e-462e-ba89-c83e37380024', u'id': u'c35d71d2-dc9a-44b6-94c9-41ab97b1055a',
             u'unit': u'', u'name': u'Number of Processors'},
            {u'otype': u'string', u'description': u'', u'attribute': u'submit_script', u'value': u'',
             u'setup_id': u'9a8bfeac-124e-462e-ba89-c83e37380024', u'id': u'717f9f64-8c55-4216-bb8e-5b36cab92884',
             u'unit': u'', u'name': u'Submit Script'},
            {u'otype': u'number', u'description': u'', u'attribute': u'walltime', u'value': u'',
             u'setup_id': u'9a8bfeac-124e-462e-ba89-c83e37380024', u'id': u'53be1d96-cc84-40fd-8c5c-b126f295dbe9',
             u'unit': u's', u'name': u'Walltime'}], u'setup_id': u'9a8bfeac-124e-462e-ba89-c83e37380024',
         u'process_id': u'b21d4346-d33d-4ad5-8096-a9e7392cee6a',
         u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478100133.808},
         u'id': u'9a8bfeac-124e-462e-ba89-c83e37380024'}], u'does_transform': False, u'process_type': u'analysis',
     u'template_id': u'global_Computation', u'note': u'', u'input_samples': [
        {u'files': [], u'property_set_id': u'433e5e15-16a6-400b-b526-df1769ccb86e', u'otype': u'sample',
         u'description': u'', u'name': u'Test Sample 1', u'processes': [
            {u'otype': u'process', u'name': u'Create Samples', u'template_name': u'Create Samples',
             u'sample_id': u'67a8d27a-026e-4c0b-8b0d-6805ede722fe', u'does_transform': True, u'process_type': u'create',
             u'template_id': u'global_Create Samples', u'note': u'',
             u'process_id': u'63af6b82-8bde-4110-ba73-4c413cc333ba',
             u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478100133.467},
             u'owner': u'terry.weymouth@gmail.com',
             u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478100133.467},
             u'id': u'63af6b82-8bde-4110-ba73-4c413cc333ba'},
            {u'otype': u'process', u'name': u'Computation', u'template_name': u'Computation',
             u'sample_id': u'67a8d27a-026e-4c0b-8b0d-6805ede722fe', u'does_transform': False,
             u'process_type': u'analysis', u'template_id': u'global_Computation', u'note': u'',
             u'process_id': u'b21d4346-d33d-4ad5-8096-a9e7392cee6a',
             u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478100133.769},
             u'owner': u'terry.weymouth@gmail.com',
             u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478100133.769},
             u'id': u'b21d4346-d33d-4ad5-8096-a9e7392cee6a'}], u'sample_id': u'67a8d27a-026e-4c0b-8b0d-6805ede722fe',
         u'direction': u'in', u'id': u'67a8d27a-026e-4c0b-8b0d-6805ede722fe',
         u'process_id': u'b21d4346-d33d-4ad5-8096-a9e7392cee6a', u'properties': [], u'is_grouped': False,
         u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478100133.663},
         u'owner': u'terry.weymouth@gmail.com',
         u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478100133.663},
         u'has_group': False, u'group_size': 0}], u'template_name': u'Computation',
     u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478100133.769},
     u'owner': u'terry.weymouth@gmail.com',
     u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1478100133.769},
     u'output_files': [], u'id': u'b21d4346-d33d-4ad5-8096-a9e7392cee6a', u'input_files': []}

# noinspection SpellCheckingInspection
__create_process_with_sample_measurement_properties__ = \
    {u'files': [],
     u'name': u'Create Samples',
     u'output_samples': [
        {u'files': [],
         u'property_set_id': u'9753d662-5d36-48c5-a83d-a2ebb69fd3ad',
         u'direction': u'out',
         u'description': u'',
         u'name': u'Test Sample 1',
         u'sample_id': u'9822fb4f-d413-40ea-8e68-799696f83b3a',
         u'processes': [
            {u'name': u'Create Samples',
             u'template_name': u'Create Samples',
             u'sample_id': u'9822fb4f-d413-40ea-8e68-799696f83b3a',
             u'does_transform': True,
             u'process_type': u'create',
             u'template_id': u'global_Create Samples',
             u'note': u'',
             u'otype': u'process',
             u'process_id': u'580cd209-b5ee-4fcb-9a30-863d80015cb9',
             u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1481679167.442},
             u'owner': u'terry.weymouth@gmail.com',
             u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1481679167.442},
             u'id': u'580cd209-b5ee-4fcb-9a30-863d80015cb9'}
        ],
            u'id': u'9822fb4f-d413-40ea-8e68-799696f83b3a',
            u'otype': u'sample',
            u'process_id': u'580cd209-b5ee-4fcb-9a30-863d80015cb9',
            u'properties': [
            {u'property_set_id': u'9753d662-5d36-48c5-a83d-a2ebb69fd3ad',
             u'name': u'Composition',
             u'attribute': u'composition',
             u'parent_id': u'',
             u'otype': u'property',
             u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1481679167.753},
             u'best_measure_id': u'ef2f7b96-ad99-4965-9e9a-9eb3a71ab38d',
             u'id': u'bb8aab0f-8926-416b-a235-b8a34cf5fa84',
             u'property_id': u'bb8aab0f-8926-416b-a235-b8a34cf5fa84',
             u'best_measure': [
                 {u'name': u'Composition',
                  u'attribute': u'composition',
                  u'when': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1481679167.799},
                  u'otype': u'composition',
                  u'value': [{u'value': 94, u'element': u'Al'}, {u'value': 1, u'element': u'Ca'},
                             {u'value': 5, u'element': u'Zr'}],
                  u'measurement_id': u'bc7b1af1-b45a-4ff7-8d1d-c9b01602fd6c',
                  u'unit': u'at%',
                  u'file': {},
                  u'sample_id': u'9822fb4f-d413-40ea-8e68-799696f83b3a',
                  u'id': u'bc7b1af1-b45a-4ff7-8d1d-c9b01602fd6c',
                  u'property_id': u'bb8aab0f-8926-416b-a235-b8a34cf5fa84'}
             ]}
        ],
            u'is_grouped': False,
            u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1481679167.631},
            u'owner': u'terry.weymouth@gmail.com',
            u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1481679167.631},
            u'has_group': False,
            u'group_size': 0}
    ],
        u'setup': [
        {u'attribute': u'instrument',
         u'name': u'Instrument',
         u'properties': [
             {u'description': u'',
              u'attribute': u'manufacturer',
              u'required': False,
              u'value': u'',
              u'choices': [],
              u'setup_id': u'1d736de4-3150-4cf8-a4b4-fb346e8d0616',
              u'otype': u'string',
              u'units': [],
              u'id': u'c209c658-e6c9-4b7d-bfa7-3930f4331dd1',
              u'unit': u'',
              u'name': u'Manufacturer'},
             {u'description': u'',
                 u'attribute': u'supplier',
                 u'required': False,
                 u'value': u'',
                 u'choices': [],
                 u'setup_id': u'1d736de4-3150-4cf8-a4b4-fb346e8d0616',
                 u'otype': u'string',
                 u'units': [],
                 u'id': u'407bb1ec-afb7-49c9-bc3f-0972ce943539',
                 u'unit': u'',
                 u'name': u'Supplier'
              },
             {u'description': u'',
                 u'attribute': u'manufacturing_date',
                 u'required': False,
                 u'value': u'',
                 u'choices': [],
                 u'setup_id': u'1d736de4-3150-4cf8-a4b4-fb346e8d0616',
                 u'otype': u'date',
                 u'units': [],
                 u'id': u'1d751398-e08a-40fc-b733-2dbe8d9aebd9',
                 u'unit': u'',
                 u'name': u'Manufacturing Date'},
             {u'description': u'',
                 u'attribute': u'production_method',
                 u'required': False,
                 u'value': u'',
                 u'choices': [{u'name': u'Cast', u'value': u'cast'}, {u'name': u'Extruded', u'value': u'extruded'},
                              {u'name': u'Rolled', u'value': u'rolled'}, {u'name': u'Unknown', u'value': u'unknown'},
                              {u'name': u'Other', u'value': u'other'}],
                 u'setup_id': u'1d736de4-3150-4cf8-a4b4-fb346e8d0616',
                 u'otype': u'selection',
                 u'units': [],
                 u'id': u'308cde8f-2da5-47f5-91f0-131090ff30bc',
                 u'unit': u'',
                 u'name': u'Production Method'}
         ]}
    ],
        u'measurements': [
        {u'name': u'Composition',
         u'attribute': u'composition',
         u'when': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1481679167.799},
         u'otype': u'composition',
         u'value': [{u'value': 94, u'element': u'Al'}, {u'value': 1, u'element': u'Ca'},
                    {u'value': 5, u'element': u'Zr'}],
         u'measurement_id': u'bc7b1af1-b45a-4ff7-8d1d-c9b01602fd6c',
         u'process_id': u'580cd209-b5ee-4fcb-9a30-863d80015cb9',
         u'unit': u'at%',
         u'file': {},
         u'sample_id': u'9822fb4f-d413-40ea-8e68-799696f83b3a',
         u'best_measure_id': u'ef2f7b96-ad99-4965-9e9a-9eb3a71ab38d',
         u'id': u'bc7b1af1-b45a-4ff7-8d1d-c9b01602fd6c',
         u'property_id': u'bb8aab0f-8926-416b-a235-b8a34cf5fa84'}
    ],
        u'does_transform': True,
        u'process_type': u'create',
        u'template_id': u'global_Create Samples',
        u'note': u'',
        u'otype': u'process',
        u'input_samples': [],
        u'template_name': u'Create Samples',
        u'mtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1481679167.442},
        u'owner': u'terry.weymouth@gmail.com',
        u'birthtime': {u'timezone': u'+00:00', u'$reql_type$': u'TIME', u'epoch_time': 1481679167.442},
        u'output_files': [],
        u'id': u'580cd209-b5ee-4fcb-9a30-863d80015cb9',
        u'input_files': []}


data_examples = {
    'timestamp': __timestamp__,
    'settings': __settings_example__,
    'experiment': __example_experiment__,
    'process_create': __process_example_create__,
    'process_compute': __process_example_compute__,
    'process_add_sample': __added_sample_results__,
    'process_create_from_fetch': __create_process_with_sample_measurement_properties__
}
